LibreOffice: LocalDataImporter Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Included Services | List of all members
LocalDataImporter Service Referencepublished

allows importing data from a local configuration data repository or file into any Backend. More...

`import"LocalDataImporter.idl";`

Inheritance diagram for LocalDataImporter:

## Included Services
service | DataImporter
| provides for running an import job More...

## Additional Inherited Members
Exported Interfaces inherited from DataImporter
interface | com::sun::star::task::XJob
| allows running an import job More...
Public Member Functions inherited from XJob
any | execute ([in] sequence< com::sun::star::beans::NamedValue > Arguments) raises ( com::sun::star::lang::IllegalArgumentException , com::sun::star::uno::Exception )
| executes the job synchronously More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows importing data from a local configuration data repository or file into any Backend.

Data to be imported can be a single layer either from a full local configuration database or from a particular OOR Update XML file.

Data is imported into the DefaultBackend.

See also
  com::sun::star::configuration::backend::LocalHierarchyBrowser Service that can be used to locate available layer files or components.
  com::sun::star::configuration::backend::LocalSingleBackend Service that can be used to access a local configuration database.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ DataImporter

service DataImporter

provides for running an import job

The implementation returns `VOID` from com::sun::star::task::XJob::execute() to indicates successful execution. If import is not executed, because `OverwriteExisting =` `TRUE` was specified, a com::sun::star::lang::IllegalAccessException is returned.

If `VOID` or `TRUE` is returned, this indicates successful execution. If an com::sun::star::uno::Exception is returned, it represents an error condition encountered during execution.

The standard arguments to com::sun::star::task::XJob::execute() are all supported by implementations. Additionally the following argument is required to select the data source:

`LayerDataUrl` : `string`

  A file URL that specifies the location of the source data.

  If no `Component` is provided, this must be the location of an OOR Update XML file, which will be imported directly.

  If a `Component` is provided, the `LayerDataUrl` is treated as Entity (i.e. Layer directory base URL) for a local configuration database and the appropriate component from that repository is imported.

Implementations may support additional parameters to select a destination Backend, that is not the DefaultBackend.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/LocalDataImporter.idl